aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.PutGroupPolicy

Synopsis

- data PutGroupPolicy = PutGroupPolicy {
  - pgpPolicyDocument :: Text
  - pgpPolicyName :: Text
  - pgpGroupName :: Text
  }
- data PutGroupPolicyResponse = PutGroupPolicyResponse

# Documentation

data PutGroupPolicy #

Adds a policy document with the specified name, associated with the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_PutGroupPolicy.html

Constructors

PutGroupPolicy |

Fields

- pgpPolicyDocument :: Text

  The policy document.

- pgpPolicyName :: Text

  Name of the policy.

- pgpGroupName :: Text

  Name of the group with whom this policy is associated.

#### Instances

Instances details

SignQuery PutGroupPolicy # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type ServiceConfiguration PutGroupPolicy |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ServiceConfiguration PutGroupPolicy = IamConfiguration

Methods

signQuery :: PutGroupPolicy -> ServiceConfiguration PutGroupPolicy queryType -> SignatureData -> SignedQuery #

Show PutGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy Methods showsPrec :: Int -> PutGroupPolicy -> ShowS # show :: PutGroupPolicy -> String # showList :: [PutGroupPolicy] -> ShowS #
Eq PutGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy Methods (==) :: PutGroupPolicy -> PutGroupPolicy -> Bool # (/=) :: PutGroupPolicy -> PutGroupPolicy -> Bool #
Ord PutGroupPolicy # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Methods

compare :: PutGroupPolicy -> PutGroupPolicy -> Ordering #

(<) :: PutGroupPolicy -> PutGroupPolicy -> Bool #

(<=) :: PutGroupPolicy -> PutGroupPolicy -> Bool #

(>) :: PutGroupPolicy -> PutGroupPolicy -> Bool #

(>=) :: PutGroupPolicy -> PutGroupPolicy -> Bool #

max :: PutGroupPolicy -> PutGroupPolicy -> PutGroupPolicy #

min :: PutGroupPolicy -> PutGroupPolicy -> PutGroupPolicy #

ResponseConsumer PutGroupPolicy PutGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type ResponseMetadata PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ResponseMetadata PutGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutGroupPolicy -> IORef (ResponseMetadata PutGroupPolicyResponse) -> HTTPResponseConsumer PutGroupPolicyResponse #

Transaction PutGroupPolicy PutGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy
type ServiceConfiguration PutGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ServiceConfiguration PutGroupPolicy = IamConfiguration

data PutGroupPolicyResponse #

Constructors

PutGroupPolicyResponse |

#### Instances

Instances details

AsMemoryResponse PutGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type MemoryResponse PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type MemoryResponse PutGroupPolicyResponse = PutGroupPolicyResponse

Methods

loadToMemory :: PutGroupPolicyResponse -> ResourceT IO (MemoryResponse PutGroupPolicyResponse) #

Show PutGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy Methods showsPrec :: Int -> PutGroupPolicyResponse -> ShowS # show :: PutGroupPolicyResponse -> String # showList :: [PutGroupPolicyResponse] -> ShowS #
Eq PutGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy Methods (==) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool # (/=) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool #
Ord PutGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Methods

compare :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Ordering #

(<) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool #

(<=) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool #

(>) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool #

(>=) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool #

max :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> PutGroupPolicyResponse #

min :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> PutGroupPolicyResponse #

ResponseConsumer PutGroupPolicy PutGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type ResponseMetadata PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ResponseMetadata PutGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutGroupPolicy -> IORef (ResponseMetadata PutGroupPolicyResponse) -> HTTPResponseConsumer PutGroupPolicyResponse #

Transaction PutGroupPolicy PutGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy
type MemoryResponse PutGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type MemoryResponse PutGroupPolicyResponse = PutGroupPolicyResponse
type ResponseMetadata PutGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ResponseMetadata PutGroupPolicyResponse = IamMetadata